- Qbs Manual
- session
- Qbs 2.1.1

# session

## Synopsis

     qbs session

## Description

Starts a session, communicating via standard input and standard output.

In this mode, Qbs takes commands from standard input and sends replies to standard output, using a JSON-based API.

This is the recommended Qbs interface for IDEs. It can be used to retrieve information about a project and interact with it in various ways, such as building it, collecting the list of executables, adding new source files and so on.